# Temporary FT24 control repo

## Robot Control
The robot control is implemented in the `ft24_control` package and can be launched with \
`ros2 launch ft24_control launch_robot.py`.\
This launch file brings up the `ros2_control`-based nodes that serve as the interface between the physical robot and the ROS2 software stack.

## Remote Control
The launch file `ros2 launch src/dcaitirobot/launch/remote_control_launch.py` launches the nodes required to interface the PS3 controller and publish its commands as `Twist` messages in ROS.

## Simulation Start
For the Gazebo simulation, run:
```
ros2 launch ft24_control launch_sim.py
```